Module | Sequel::SQL::OperatorBuilders
In: | lib/sequel/sql.rb

These methods are designed as replacements for the core extension operator methods, so that Sequel is still easy to use if the core extensions are not enabled.

The following methods are defined via metaprogramming: +, -, *, /, &, |. The +, -, *, and / operators return numeric expressions combining all the arguments with the appropriate operator, and the & and | operators return boolean expressions combining all of the arguments with either AND or OR.

### Methods

~

### Public Instance methods

~(arg)

Invert the given expression. Returns a `Sequel::SQL::BooleanExpression` created from this argument, not matching all of the conditions.

      Sequel.~(nil) # SQL: NOT NULL
      Sequel.~([[:a, true]]) # SQL: a IS NOT TRUE
      Sequel.~([[:a, 1], [:b, [2, 3]]]) # SQL: a != 1 OR b NOT IN (2, 3)

[Source]

         # File lib/sequel/sql.rb, line 746
    746:       def ~(arg)
    747:         if condition_specifier?(arg)
    748:           SQL::BooleanExpression.from_value_pairs(arg, :OR, true)
    749:         else
    750:           SQL::BooleanExpression.invert(arg)
    751:         end
    752:       end

[Validate]